This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 864758 - mount_afp crashing on libgcryprt
mount_afp crashing on libgcryprt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 23:25 EDT by Max
Modified: 2013-07-31 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:39:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max 2012-10-09 23:25:06 EDT
When trying to use mount_afp, it segfaults, which appears to be caused by libgcrypt.


Version-Release number of selected component (if applicable): 
fuse-afp-0.8.1-9.fc17.3.x86_64
libgcrypt-1.5.0-3.fc17.x86_64

How reproducible:
Executing mount_afp on a networked AFP server requiring a username and password, ie:
mount_afp "afp://$user:$password@$IP/$Volume" /mnt/AFP

Steps to Reproduce:
1. Run a mount_afp command like above
2. Observe /var/log/messages
  
Actual results:
Segfault

Expected results:
Network volume being mounted properly

Additional info:
My messages file produces the following output when above mention command is ran:


    Oct 10 13:56:10 crapple : Starting up AFPFS version 0.8.1
    Oct 10 13:56:11 crapple : Libgcrypt warning: missing initialization - please fix the application
    Oct 10 13:56:11 crapple kernel: [190377.391105] afpfsd[10500] general protection ip:371be0cb55 sp:7fff9fdd2100 error:0 in libafpclient.so.0.0.0[371be00000+1e000]
    Oct 10 13:56:11 crapple abrt[10503]: Saved core dump of pid 10500 (/usr/bin/afpfsd) to /var/spool/abrt/ccpp-2012-10-10-13:56:11-10500 (9248768 bytes)
    Oct 10 13:56:11 crapple abrtd: Directory 'ccpp-2012-10-10-13:56:11-10500' creation detected
    Oct 10 13:56:11 crapple abrtd: Generating backtrace
    Oct 10 13:56:11 crapple abrtd: Duplicate: core backtrace
    Oct 10 13:56:11 crapple abrtd: DUP_OF_DIR: /var/spool/abrt/ccpp-2012-10-10-13:33:51-10110
    Oct 10 13:56:11 crapple abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-10-10-13:56:11-10500', deleting
Comment 1 Max 2012-10-09 23:27:04 EDT
Forgot to say, this was the output of mount_afp:

The afpfs daemon does not appear to be running for uid 0, let me start it for you
Dropped connection
Comment 2 Fedora End Of Life 2013-07-03 19:43:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 22:40:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.